Subject: bug#10441: The testsuite assumes that ln -s really creates a symlink

From: Stefano Lattarini <[email-masked]>
Date: Sun, 08 Jan 2012 17:57:58 +0100

On 01/08/2012 05:06 PM, Peter Johansson wrote:
> On 1/8/12 7:56 AM, Stefano Lattarini wrote:
>>
>>
>> The attached patch should take care of the problem.  Tested using
>> this script in PATH as the `ln' program:
> 
> Hi Stefano,
> 
Hi Peter.

> I'm just curious if there is a reason not to use AC_PROG_LN_S as provided
> by Autoconf.
>
> I thought one could call that macro in Autoconf and place a line
> 
> LN_S=@LN_S@
> 
> in 'defs.in' and then replace all 'ln -s' with '$LN_S' in tests.
>
Ah, but the "ln -s" in the testsuite are used only in places where we want
*real* symlinks (and want to skip some tests if they are not available), so
using $LN_S would quite defy the purpose.

> In that way you avoid having another script to maintain.
>
Oh, don't worry: that script was only a temporary hack to allow me testing
the patch on GNU/Linux, since I don't have easy access to a MinGW system.
It has already been deleted and forgotten.  Sorry if I haven't been clear.

> Am I missing something?
I hope the above clarifies your doubts.

Thanks,
  Stefano